package common.item;

import common.block.Block;
import common.block.BlockBasePressurePlate;
import common.model.Model;
import common.model.ModelProvider;

public class ItemPressurePlate extends ItemBlock {
	public ItemPressurePlate(Block block) {
		super(block);
	}

	public Model getModel(ModelProvider provider, String name, int meta) {
    	return provider.getModel(provider.getModel(((BlockBasePressurePlate)this.block).getTexture())
			.add(1, 6, 1, 15, 10, 15)
				.d().uv(1, 1, 15, 15).noCull()
				.u().uv(1, 1, 15, 15).noCull()
				.n().uv(1, 6, 15, 10).noCull()
				.s().uv(1, 6, 15, 10).noCull()
				.w().uv(1, 6, 15, 10).noCull()
				.e().uv(1, 6, 15, 10).noCull(), this.getTransform());
    }
}
